#

Function CHAR-CODE

Syntax:

char-code character => code

Arguments and Values:

character---a character.

code---a character code.

Description:

char-code returns the code attribute of character.

Examples:

    ;; An implementation using ASCII character encoding
    ;; might return these values:
    (char-code #\$) =>  36
    (char-code #\a) =>  97

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if character is not a character.

See Also:

char-code-limit

Notes: None.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.